Skip to content
AchaduDevelopers
Operational APIGo to website
Dashboard
Developers/API/template_update
Templates

Update template

Updates the fields sent from the template.

PATCH/templates/{id}templates:write

Request

idstring · pathResource identifier.mandatory
namestring · bodyTemplate name.optional
bodystring · bodyBody with Achadu variables.optional
marketplacestring · bodyOptional marketplace.optional
with_previewboolean · bodyIncludes product preview.optional

Example

curl
curl -X PATCH 'https://achadu.com/api/v1/templates/resource_id' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "name": "My integration",
  "body": "string",
  "marketplace": "string"
}'

Answer

200Operation completed
4xxError with code, message and request_id